Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.exceptions
Class RedirectHandler

    java.lang.Object
      org.jboss.seam.core.Navigator
          org.jboss.seam.exceptions.ExceptionHandler
              org.jboss.seam.exceptions.RedirectHandler

Direct Known Subclasses:
  AnnotationRedirectHandler, ConfigRedirectHandler

    public abstract class RedirectHandler

extends ExceptionHandler

Constructor Summary
`RedirectHandler()`

Method Summary
`protected abstract String` | `getMessage(Exception e)`
`protected abstract javax.faces.application.FacesMessage.Severity` | `getMessageSeverity(Exception e)`
`protected abstract String` | `getViewId(Exception e)`
`void` | `handle(Exception e)`
`protected abstract boolean` | `isEnd(Exception e)`
`String` | `toString()`

Methods inherited from class org.jboss.seam.exceptions.ExceptionHandler
`isHandler`

Methods inherited from class org.jboss.seam.core.Navigator
`addFacesMessage, error, getDisplayMessage, redirect, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RedirectHandler

    public RedirectHandler()

Method Detail

### getViewId

    protected abstract String getViewId(Exception e)

### getMessage

    protected abstract String getMessage(Exception e)

### isEnd

    protected abstract boolean isEnd(Exception e)

### getMessageSeverity

    protected abstract javax.faces.application.FacesMessage.Severity getMessageSeverity(Exception e)

### handle

    public void handle(Exception e)
                throws Exception

  Specified by:
    `handle` in class `ExceptionHandler`
  Throws:
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD